Skip to navigation

Get Connect log entry

View as Markdown

Retrieves the specified Connect log entry for your account.

To use this method, you must be an account administrator and Connect must be enabled on your account.

The enableLog setting in the Connect configuration must be set to true to enable logging. If logging is not enabled, then no log entries are recorded.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

logIdstringRequired
The ID of the connect log entry

Query parameters

additional_infostringOptional

When true, the response includes the connectDebugLog information.

Response

Successful response.
accountIdstringOptional
The account ID associated with the envelope.
configUrlstringOptional
The web address of the listener or Retrieving Service end point for Connect.
connectDebugLoglist of objectsOptional

A complex element containing information about the Connect configuration, error details, date/time, description and payload. This information is included in the response only when the additional_info query is set to true. This additional information is only available when retrieving general logs with ConnectEvents:get, but not when retrieving failure logs with ConnectEvents:listFailures.

connectIdstringOptional
The ID of the Connect configuration that failed. If an account has multiple Connect configurations, this value is used to look up the Connect configuration for the failed post.
createdstringOptional
The UTC DateTime when the Connect post was created.
emailstringOptional
The email address of the envelope sender.
envelopeIdstringOptional
The ID of the envelope that failed to post.
errorstringOptional
The error that caused the Connect post to fail.
failureIdstringOptional
The failure log ID for the failure.
failureUristringOptional
The URI for the Connect post failure.
lastTrystringOptional
The UTC DateTime of the last attempt to post.
logIdstringOptional
The Connect log ID for the entry.
logUristringOptional
The URI for the Connect log entry.
retryCountstringOptional
The number of times the Connect post has been retried.
retryUristringOptional
A URI that you can use to retry to publish the Connect post.
statusstringOptional

The envelope status for the Connect post. Possible values are:

  • Any
  • Voided
  • Created
  • Deleted
  • Sent
  • Delivered
  • Signed
  • Completed
  • Declined
  • TimedOut
  • Template
  • Processing

For details about these statuses, see Envelope Status Code Descriptions.

subjectstringOptional
The subject of the envelope.
userNamestringOptional
The name of the sender of the envelope.

Errors

400
Bad Request Error